List documents

Retrieve your organization's documents, each with summaries of its current draft and published versions. Archived documents are excluded unless include_archived is true. The total number of matching documents is returned in the X-Total-Count response header.

Documents are opt-in per organization: unless the org_documents feature flag is enabled for your organization this endpoint returns 404.

Query Params
string

Only return the document with this exact key.

string

Only return documents associated with this product module key.

boolean

Only return enabled (true) or disabled (false) documents.

string
enum

Filter by publish state. published is live with no pending changes, draft_changes is live with an unpublished draft, and unpublished has never been published.

Allowed:

Case-insensitive contains-match on the document's name, key and description. Maximum 200 characters.

boolean

Include archived documents. Defaults to false.

integer
1 to 100
Defaults to 30

The maximum number of items that will be contained in a single page, between 1 and 100 (inclusive).

integer
≥ 1
Defaults to 1

The page number of the entities to fetch. Must be a minimum of 1.

Responses

400

Validation error, for example an unknown state.

403

The caller is missing the communications:read permission.

404

Documents are not enabled for the organization.

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json